Bug 150913 - [PATCH] emulators/open-vm-tools: vmware-user-suid-wrapper failes to load vmblock.ko
[PATCH] emulators/open-vm-tools: vmware-user-suid-wrapper failes to load vmbl...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: mbr
Depends on:
  Show dependency treegraph
Reported: 2010-09-24 13:10 UTC by fumifumi
Modified: 2010-11-16 00:01 UTC (History)
0 users

See Also:

file.diff (3.67 KB, patch)
2010-09-24 13:10 UTC, fumifumi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fumifumi 2010-09-24 13:10:01 UTC
vmware-user-suid-wrapper unloads vmblock.ko successfully, then fails to reload it.
Clipboard sharing does not work, although vmware-user is running.

Fix: vmblock.ko is not loadable as 'vmblock,' since kernel modules are not installed on the default path by this port, politely.
A quick fix for 'patch -p1' is attached. It also fixes the location of a file for pkg-config.

Thank you.

Patch attached with submission follows:
How-To-Repeat: > sudo chmod u=xs,go=x /usr/local/bin/vmware-user-suid-wrapper
> kldstat -m vmblock
Id  Refs Name
458    1 vmblock
> /usr/local/bin/vmware-user-suid-wrapper
vmware-user: failed to load vmblock: No such file or directory
vmware-user: failed to start vmblock
> kldstat -m vmblock
kldstat: can't find module vmblock: No such file or directory.
Comment 1 Edwin Groothuis freebsd_committer 2010-09-24 13:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mbr

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2010-11-15 23:57:56 UTC
mbr         2010-11-15 23:57:51 UTC

  FreeBSD ports repository

  Modified files:
    emulators/open-vm-tools Makefile distinfo pkg-plist 
    emulators/open-vm-tools/files patch-guestApp.c 
  Upgrade to build 313025, release date 2010.10.18
  Fix build on HEAD
  Fix dhclient resume
  Fix pkgconfig
  PR:             151872, 149116, 150913
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp>
  Revision  Changes    Path
  1.43      +4 -5      ports/emulators/open-vm-tools/Makefile
  1.11      +3 -3      ports/emulators/open-vm-tools/distinfo
  1.3       +5 -5      ports/emulators/open-vm-tools/files/patch-guestApp.c
  1.4       +3 -5      ports/emulators/open-vm-tools/files/patch-services-Makefile
  1.26      +9 -5      ports/emulators/open-vm-tools/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 mbr freebsd_committer 2010-11-16 00:01:35 UTC
State Changed
From-To: open->closed

Committed, thanks